/**********************
 * DMX-lib Hardware Register Defines
 * 
 *  Target MCU: ATmega644P (using USART1)
 * 
 * 	Version: 1.1
 *  Date: 29.12.2011
 *  Author: Jan Wiese <jw-lighting@ewetel.net>
 * 
 **********************/
 

/// Input and Output Pins

// Receiver pin
#define DMX_RX_DDR				DDRD
#define DMX_RX_PIN				PD2

// Transmitter pin
#define DMX_TX_PORT				PORTD
#define DMX_TX_DDR				DDRD
#define DMX_TX_PIN				PD3

/// 

// USART I/O Data Register
#define DMX_UDR					UDR1

// USART Control and Status Register A
#define DMX_UCSRA				UCSR1A

#define DMX_FE					FE1
#define DMX_DOR					DOR1

// USART Control and Status Register B
#define DMX_UCSRB				UCSR1B

#define DMX_RXCIE				RXCIE1
#define DMX_UDRIE				UDRIE1
#define DMX_RXEN				RXEN1
#define DMX_TXEN				TXEN1

// USART Control and Status Register C
#define DMX_UCSRC				UCSR1C

#define DMX_USBS				USBS1
#define DMX_UCSZ1				UCSZ11
#define DMX_UCSZ0				UCSZ10

// USART Baud Rate Registers
#define DMX_UBRRL				UBRR1L
#define DMX_UBRRH				UBRR1H


// Timer/Counter1 Control Register B
#define DMX_TCCR1B				TCCR1B

#define DMX_CS11				CS11

// Timer/Counter1
#define DMX_TCNT1L				TCNT1L
#define DMX_TCNT1H				TCNT1H

// Output Compare Register 1 A
#define DMX_OCR1AL				OCR1AL
#define DMX_OCR1AH				OCR1AH

// Timer/Counter1 Interrupt Mask Register
#define DMX_TIMSK1				TIMSK1

#define DMX_OCIE1A				OCIE1A
#define DMX_TOIE1				TOIE1


// Timer/Counter1 Compare Match A Interrupt
#define DMX_TIMER1_COMPA_vect	TIMER1_COMPA_vect
// Timer/Counter1 Overflow Interrupt
#define DMX_TIMER1_OVF_vect		TIMER1_OVF_vect
// USART Rx Complete Interrupt
#define DMX_USART_RX_vect		USART1_RX_vect
// USART Data Register Empty Interrupt
#define DMX_USART_UDRE_vect   	USART1_UDRE_vect
